Create a workflow in a workspace
Creates a new workflow in the specified workspace with name, description, and optional project.
POST
/api/workspaces/{id}/workflowsPath parameters
idnumberrequiredPath parameter: id
Body
namestringrequireddescriptionstringproject_infostringRequest
curl
curl -X POST https://platform.trickest.com/api/workspaces/{id}/workflows \
-H "Authorization: Bearer $TRICKEST_TOKEN" \
-H "Content-Type: application/json" \
-d '{ }'Responses
201Created workflow
idstringrequirednamestringrequireddescriptionstringspace_idstringspace_infostringspace_namestringproject_idstringproject_infostringproject_namestringvault_idstringauthorstringcreated_datestringrequiredmodified_datestringrequiredis_copybooleanplaygroundbooleanis_templatebooleanis_modulebooleanexecution_countnumberrun_countnumberlast_execution_datestringlast_execution_statusstringlatest_versionstringschedule_infoobjectexecutingbooleancolorstringsolution_idstringhas_appbooleanhas_databasebooleanmetadataobject400Bad Request – validation error or malformed input
codestringmessagestring401Unauthorized – missing or expired token
codestringmessagestring500Internal Server Error
codestringmessagestring